<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class lightboxWebGalleryEngine {
	
	/*
	 * Check the pre-requirements
	 * @return string
	 */
	function preRequirements() {
		$message = call_user_func(array('plgContentCdWebGallery', 'checkScriptegrator'), '1.3.3', 'jquery', 'site');
		return $message;
	}
	
	/*
	 * Insert neccessary script to header
	 * @return void
	 */
	function header() {
		
		$document = &JFactory::getDocument(); // set document for next usage
		
		$compress = call_user_func(array('plgContentCdWebGallery', 'pluginParams'), 'compress', 1);
		
		$live_path_abs = JURI::root(true) . '/';
		
		// add script
		$document->addScript($live_path_abs .
	            'plugins/content/cdwebgallery/engine/lightbox/app/js/jsloader.php?compress=' . $compress . '');
		// add CSS
		$document->addStyleSheet($live_path_abs .
			            'plugins/content/cdwebgallery/engine/lightbox/app/css/lightbox.css', 'text/css');
		
		$random_id = call_user_func(array('plgContentCdWebGallery', 'options'), 'id');
		
		$script = '
					<script type="text/javascript">
						<!--
						jQuery(document).ready(function($){
							$(\'a[rel*=webgallery_lightbox_' . $random_id . ']\').lightBox({
								overlayBgColor: \'#000\',
								overlayOpacity: 0.6,
								imageLoading: \'plugins/content/cdwebgallery/engine/lightbox/app/images/lightbox-ico-loading.gif\',
								imageBtnClose: \'plugins/content/cdwebgallery/engine/lightbox/app/images/lightbox-btn-close.gif\',
								imageBtnPrev: \'plugins/content/cdwebgallery/engine/lightbox/app/images/lightbox-btn-prev.gif\',
								imageBtnNext: \'plugins/content/cdwebgallery/engine/lightbox/app/images/lightbox-btn-next.gif\',
								imageBlank: \'plugins/content/cdwebgallery/engine/lightbox/app/images/lightbox-blank.gif\',
								containerResizeSpeed: 400,
								txtImage: \'\',
								txtOf: \'-\'
							});
						});
						-->
					</script>' . "\n";
		$document->addCustomTag($script);
		
	}

	/*
	 * Return tag array
	 * @return array
	 */
	function tag($image_set) {
		
		$random_id = call_user_func(array('plgContentCdWebGallery', 'options'), 'id');
		
		$rel_tag = 'webgallery_lightbox_' . $random_id;
		
		$tag_array = array();
		
		$i = 0;
		foreach($image_set as $image) {	
			
			$thumb_src_path = $image->thumb_src;
			
			$thumb_width = $image->thumb_width;
			$thumb_height = $image->thumb_height;
			$thumb_alt = $image->img_alt;
			$thumb_title = $image->img_title;
			
			$img_tag = '<img src="' . $thumb_src_path . '" width="' . $thumb_width . '" height="' . $thumb_height . '" alt="" title="' . $thumb_title . '" />';
			
			$img_src = $image->img_src;
			
			$tag_a = '<a href="' . $img_src . '" rel="' . $rel_tag . '" title="' . $thumb_title . '"></a>';			
			// add html tag to array items
			
			$tag_array[$i]->img_original = $image->img_tag;
			$tag_array[$i]->img = $img_tag;
			$tag_array[$i]->a = $tag_a;
			$tag_array[$i]->title = $thumb_alt;
			
			$i++;
		}
		return $tag_array;
	}
	
}

?>