<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class prettyPhotoWebGalleryEngine {
	
	/*
	 * Check the pre-requirements
	 * @return string
	 */
	function preRequirements() {
		$message = call_user_func(array('plgContentCdWebGallery', 'checkScriptegrator'), '1.3.3', 'jquery', 'site');
		return $message;
	}
	
	/*
	 * Insert neccessary script to header
	 * @return void
	 */
	function header() {
		
		$document = &JFactory::getDocument(); // set document for next usage
		
		$compress = call_user_func(array('plgContentCdWebGallery', 'pluginParams'), 'compress', 1);
		
		$live_path_abs = JURI::root(true) . '/';
		
		// add script
		$document->addScript($live_path_abs .
	            'plugins/content/cdwebgallery/engine/prettyPhoto/app/js/jsloader.php?compress=' . $compress . '');
		// add CSS
		$document->addStyleSheet($live_path_abs .
			            'plugins/content/cdwebgallery/engine/prettyPhoto/app/css/prettyPhoto.css', 'text/css');
		
		$options = call_user_func(array('plgContentCdWebGallery', 'options'), 'all');
		$random_id = $options->id;
		$mode = $options->mode;
		unset($options);
		
		$rel = '';
		$script = '';
		
		if ($mode == 'gallery') {
			$rel = 'webgallery_prettyPhoto_' . $random_id;
			$script = '
					<script type="text/javascript">
						<!--
						jQuery(document).ready(function($){
							$("a[rel*=\''.$rel.'\']").prettyPhoto( {
								animationSpeed: \'normal\',
								padding: 40,
								opacity: 0.35,
								showTitle: false,
								allowresize: true
							});
						});
						-->
				</script>' . "\n";
		} else {
			static $run_once = 0;
			
			if (!$run_once) {
				$rel = 'webgallery_prettyPhoto_single';
				$script = '
				<script type="text/javascript">
					<!--
					jQuery(document).ready(function($){
						$("a[rel*=\''.$rel.'\']").prettyPhoto( {
							animationSpeed: \'normal\',
							padding: 40,
							opacity: 0.35,
							showTitle: false,
							allowresize: true
						});
					});
					-->
				</script>' . "\n";
			$run_once = 1;
			}
		}
		
		if ($script) {
			$document->addCustomTag($script);
		}
		
	}

	/*
	 * Return tag array
	 * @return array
	 */
	function tag($image_set) {
		
		$options = call_user_func(array('plgContentCdWebGallery', 'options'), 'all');
		$random_id = $options->id;
		$mode = $options->mode;
		unset($options);
		
		if ($mode == 'gallery') {
			$rel_tag = 'webgallery_prettyPhoto_'.$random_id.'[' . $random_id . ']';;
		} else {
			$rel_tag = 'webgallery_prettyPhoto_single';
		}
		
		
		$tag_array = array();
		
		$i = 0;
		foreach($image_set as $image) {	
			
			$thumb_src_path = $image->thumb_src;
			
			$thumb_width = $image->thumb_width;
			$thumb_height = $image->thumb_height;
			$thumb_alt = $image->img_alt;
			$thumb_title = $image->img_title;
			
			$img_tag = '<img src="' . $thumb_src_path . '" width="' . $thumb_width . '" height="' . $thumb_height . '" alt="' . $thumb_title . '" title="' . $thumb_title . '" />';
			
			$img_src = $image->img_src;
			
			$tag_a = '<a href="' . $img_src . '" rel="' . $rel_tag . '" title="' . $thumb_title . '"></a>';			
			// add html tag to array items
			
			$tag_array[$i]->img_original = $image->img_tag;
			$tag_array[$i]->img = $img_tag;
			$tag_array[$i]->a = $tag_a;
			$tag_array[$i]->title = $thumb_alt;
			
			$i++;
		}
		return $tag_array;
	}
	
}

?>