<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class tooltipWebGalleryEngine {
	
	/*
	 * Check the pre-requirements
	 * @return string
	 */
	function preRequirements() {
		$message = call_user_func(array('plgContentCdWebGallery', 'checkScriptegrator'), '1.3.4', 'jquery', 'site');
		return $message;
	}
	
	/*
	 * Insert neccessary script to header
	 * @return void
	 */
	function header() {
		
		$document = &JFactory::getDocument(); // set document for next usage
		
		$compress = call_user_func(array('plgContentCdWebGallery', 'pluginParams'), 'compress', 1);
		
		$live_path_abs = JURI::root(true) . '/';
		
		// add script
		$document->addScript($live_path_abs .
	            'plugins/content/cdwebgallery/engine/tooltip/app/js/jsloader.php?compress=' . $compress . '');
		// add CSS
		$document->addStyleSheet($live_path_abs .
			            'plugins/content/cdwebgallery/engine/tooltip/app/css/tooltip.css', 'text/css');
		
		$preview_script = "
					<script type=\"text/javascript\">
						<!--
						jQuery(document).ready(function($){
							var images = $('a[rel*=webgallery_tooltip]');
							images.click( function () {
								return false;
	        				}).tooltip({ 
							    delay: 0,
							    fade: 250,
							    top: 10,
							    left: 10,
							    track: true, 
							    showURL: false, 
							    bodyHandler: function() {
							    	var title = $(this).children('img').attr('title');				    
							    	var img = '<div class=\"cdwebgallery_tooltip\"><img src=\"'+this.href+'\" title=\"\" alt=\"\" /><span>' + title + '</span></div>';
							    	return img;
						    	} 
							});
						});
						-->
					</script>\n";
		
		// run code just once
		static $once = 0;
		
		if (!$once) {
			$document->addCustomTag($preview_script);
			$once = 1;
		}
		
		
		
	}

	/*
	 * Return tag array
	 * @return array
	 */
	function tag($image_set) {
		
		$tag_array = array();
		
		$i = 0;
		foreach($image_set as $image) {	
			
			$thumb_src_path = $image->thumb_src;
			
			$thumb_width = $image->thumb_width;
			$thumb_height = $image->thumb_height;
			$thumb_alt = $image->img_alt;
			$thumb_title = $image->img_title;
			
			$img_tag = '<img src="' . $thumb_src_path . '" width="' . $thumb_width . '" height="' . $thumb_height . '" alt="" title="' . $thumb_title . '" />';
			
			$img_src = $image->img_src;
			
			$tag_a = '<a href="' . $img_src . '" rel="webgallery_tooltip" title=""></a>';			
			// add html tag to array items
			
			$tag_array[$i]->img_original = $image->img_tag;
			$tag_array[$i]->img = $img_tag;
			$tag_array[$i]->a = $tag_a;
			$tag_array[$i]->title = $thumb_alt;
			
			$i++;
		}
		return $tag_array;
	}
	
}

?>