<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class fadeWebGalleryTheme {
	
	/*
	 * Check the pre-requirements
	 * @return string or boolean
	 */
	function preRequirements() {
		$message = call_user_func(array('plgContentCdWebGallery', 'checkScriptegrator'), '1.3.3', 'jquery', 'site');
		return $message;
	}
	
	/*
	 * Header
	 * @return void
	 */
	function header() {
		$document = &JFactory::getDocument(); // set document for next usage
    	
		$params = call_user_func(array('plgContentCdWebGallery', 'parseIni'), dirname(__FILE__) . DS . 'params.ini');
		
		$dimming_opacity = $params->get('dimming_opacity', 0.45);
		$fade_color = $params->get('fade_color', '#fff');
		
		static $run_once = 0;
		
		if (!$run_once) {
			$script = "
					<script type=\"text/javascript\">
						<!--
						jQuery(function($) {
						$(\"a.webgallery_fade\").parent('li').css('background-color', '$fade_color');
						$(\"a.webgallery_fade img\").css('opacity', $dimming_opacity).hover(function () {
							    $(this).stop().fadeTo(300, 1);
							  }, function () {
							    $(this).stop().fadeTo(300, $dimming_opacity);
	  						});
						});
						-->
					</script>\n";
			$document->addCustomTag($script);
			$run_once = 1;
		}
	}
	
	/*
	 * Return tag wrapped by necessary style
	 * @return string
	 */
	function template($tags = array()) {
		
		$title = call_user_func(array('plgContentCdWebGallery', 'options'), 'title');
		
		$theme = '';
		$theme .= '<div class="webgallery_fade">';
		if ($title) {
			$theme .= '<h3 class="title">' . $title . '</h3>';
		}
		$theme .= '<ul>';
		$theme .= "\n";
		foreach ($tags as $tag) {
			$theme .= '<li>';
				$theme .= str_replace('><', ' class="webgallery_fade">' . $tag->img . '<', $tag->a);
			$theme .= '</li>';
			$theme .= "\n";
		}
		$theme .= '</ul>';
		$theme .= '<hr class="webgallery_clr" />'; // cleaner
		$theme .= '</div>';
		unset($tags);
		
		return $theme;
	}
}

?>
