<?php
/**
 * Core Design Web Gallery plugin for Joomla! 1.5
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


class reflectionWebGalleryTheme {
	
	/*
	 * Check the pre-requirements
	 * @return string or boolean
	 */
	function preRequirements() {
		$message = call_user_func(array('plgContentCdWebGallery', 'checkScriptegrator'), '1.3.3', 'jquery', 'site');
		return $message;
	}
	
	/*
	 * Header
	 * @return void
	 */
	function header() {
		$document = &JFactory::getDocument(); // set document
		
		$compress = call_user_func(array('plgContentCdWebGallery', 'pluginParams'), 'compress', 1);
		
		$live_path_abs = JURI::root(true) . '/';
		
		$params = call_user_func(array('plgContentCdWebGallery', 'parseIni'), dirname(__FILE__) . DS . 'params.ini');
		
		$reflection_height = $params->get('reflection_height', 0.33);
		$reflection_opacity = $params->get('reflection_opacity', 0.5);
		
		// add script
		$document->addScript($live_path_abs .
	            'plugins/content/cdwebgallery/theme/reflection/js/jsloader.php?compress=' . $compress . '');
		
		static $run_once = 0;
		
		if (!$run_once) {
			$script = "
			<script type=\"text/javascript\">
				<!--
				jQuery(function($) {
					$(\"a.webgallery_reflection img\").reflect({
						height: $reflection_height,
						opacity: $reflection_opacity
					});
				});
				-->
			</script>\n";
			$document->addCustomTag($script);
			$run_once = 1;
		}
	}
	
	/*
	 * Return tag wrapped by necessary style
	 * @return string
	 */
	function template($tags = array()) {
		
		$title = call_user_func(array('plgContentCdWebGallery', 'options'), 'title');
		
		$theme = '';
		$theme .= '<div class="webgallery_reflection">';
		if ($title) {
			$theme .= '<h3 class="title">' . $title . '</h3>';
		}
		$theme .= '<ul>';
		$theme .= "\n";
		foreach ($tags as $tag) {
			$theme .= '<li>';
				$theme .= str_replace('><', ' class="webgallery_reflection"><span></span>' . $tag->img . '<', $tag->a);
			$theme .= '</li>';
			$theme .= "\n";
		}
		$theme .= '</ul>';
		$theme .= '<hr class="webgallery_clr" />'; // cleaner
		$theme .= '</div>';
		unset($tags);
		
		return $theme;
	}
}

?>
